This is a project for testing a possible karate bug found during the migration from 0.96 to 1.0.1 version. 

The issue is that it seems that with Karate 1.0.1 and this dependency

```
<dependency>
    <groupId>com.intuit.karate</groupId>
    <artifactId>karate-gatling</artifactId>
    <version>${karate.version}</version>
    <scope>test</scope>
</dependency>
```

the request is not passed as it is but there's an empy xmlns attribute added the the soap requests, making some of my tests failing. That is instead of: 
```
<service>123456789</service>
```
the request sent is having an empy xmlns attribute:
```
<service xmlns="">123456789</service>
```

So, in order to replicate the problem: 

1. run the test with "mvn test" and see that it passes
2. decomment the above dependency in the pom file
3. run again with "mvn test" and check that it fails


*Note*: the problem is quite similar to the one reported in https://stackoverflow.com/questions/57042497/karate-xml-element-changed-to-have-empty-namespace/57042773. In this case it must be something regarding the xml libraries handled by karate-gatling. With the version 0.96 of Karate (and the equivalent version for karate-gatling) it worked fine. 